SFNC(1)

NAME
sfnc - network connection over sf (client side)

SYNOPSIS
sfnc host port transmit-device receive-device

DESCRIPTION
sfnc communicates with another program over two byte steams and asks the remote program (usually sfncd(1)) to connect to the specified host and port.

It reads bytes from the standard input and transmits them across transmit-device. It receives bytes from receive-device and sends them to the standard output.

  Protocol
The client transmits in one sf(1) session, which contains two nested sf(1) connections (first host, then port), and then the actual body read from the standard input. The server transmits in one sf(1) session, which begins once the host and port has been received, and it contains the response.

SEE ALSO
sf(1), sfncd(1), serial-transfer(7)